> For the complete documentation index, see [llms.txt](https://docs.documint.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.documint.me/templates/working-with-dynamic-data/functions-and-operators/operators/identity-operators.md).

# Identity Operators

### isNull

`{{$isNull value}}`

Evaluates to `true` if `value` is null.

**Arguments**

<table><thead><tr><th width="150">Name</th><th width="272.5333333333333">Description</th><th width="150">Type<select multiple><option value="b0403385da1b4af9a8a894cb7cfa1e88" label="String" color="blue"></option><option value="6a3ca9c830be4cd5a2bcf10d17c44f82" label="Number" color="blue"></option><option value="011b91dfe58a400894b04549ec4f9e02" label="Boolean" color="blue"></option><option value="3c1342f6b38a46e39064bd88015df50d" label="Any" color="blue"></option><option value="331ed19046194ceda3a4dc3fc0789b8f" label="" color="blue"></option></select></th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>value</td><td>A static value or a variable path</td><td><span data-option="3c1342f6b38a46e39064bd88015df50d">Any</span></td><td>true</td></tr></tbody></table>

**Returns**

&#x20; *(*[*Boolean*](/legacy-documentation/data-and-variables/data-types.md#booleans)*)*

**Example**

{% tabs %}
{% tab title="Template" %}
{{#if ($isNull category) }}Category is null{{/if}}
{% endtab %}

{% tab title="Data" %}

```json
{
    "category": null
}
```

{% endtab %}

{% tab title="Result" %}
Category is null
{% endtab %}
{% endtabs %}

### isNotNull&#x20;

`{{$isNotNull value}}`

Evaluates to `true` if `value` **is not null**.

**Arguments**

<table><thead><tr><th width="150">Name</th><th width="272.5333333333333">Description</th><th width="150">Type<select multiple><option value="b0403385da1b4af9a8a894cb7cfa1e88" label="String" color="blue"></option><option value="6a3ca9c830be4cd5a2bcf10d17c44f82" label="Number" color="blue"></option><option value="011b91dfe58a400894b04549ec4f9e02" label="Boolean" color="blue"></option><option value="3c1342f6b38a46e39064bd88015df50d" label="Any" color="blue"></option><option value="331ed19046194ceda3a4dc3fc0789b8f" label="" color="blue"></option></select></th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>value</td><td>A static value or a variable path</td><td><span data-option="3c1342f6b38a46e39064bd88015df50d">Any</span></td><td>true</td></tr></tbody></table>

**Returns**

&#x20; *(*[*Boolean*](/legacy-documentation/data-and-variables/data-types.md#booleans)*)*

**Example**

{% tabs %}
{% tab title="Template" %}
{{#if ($isNotNull category) }}Category is not null{{/if}}
{% endtab %}

{% tab title="Data" %}

```json
{
    "category": "sports"
}
```

{% endtab %}

{% tab title="Result" %}
Category is
{% endtab %}
{% endtabs %}

### isNil

`{{$isNil value}}`

Evaluates to `true` if `value` is `null` or `undefined` .

**Arguments**

<table><thead><tr><th width="150">Name</th><th width="272.5333333333333">Description</th><th width="150">Type<select multiple><option value="b0403385da1b4af9a8a894cb7cfa1e88" label="String" color="blue"></option><option value="6a3ca9c830be4cd5a2bcf10d17c44f82" label="Number" color="blue"></option><option value="011b91dfe58a400894b04549ec4f9e02" label="Boolean" color="blue"></option><option value="3c1342f6b38a46e39064bd88015df50d" label="Any" color="blue"></option><option value="331ed19046194ceda3a4dc3fc0789b8f" label="" color="blue"></option></select></th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>value</td><td>A static value or a variable path</td><td><span data-option="3c1342f6b38a46e39064bd88015df50d">Any</span></td><td>true</td></tr></tbody></table>

**Returns**

&#x20; *(*[*Boolean*](/legacy-documentation/data-and-variables/data-types.md#booleans)*)*

**Example**

{% tabs %}
{% tab title="Template" %}
{{#if ($isNil category) }}Category is nil{{/if}}
{% endtab %}

{% tab title="Data" %}

```json
{
    "category":null
}
```

{% endtab %}

{% tab title="Result" %}
Category is nil
{% endtab %}
{% endtabs %}

### isNotNil&#x20;

`{{$isNotNil value}}`

Evaluates to `true` if `value` is not `null` or `undefined`.

**Arguments**

<table><thead><tr><th width="150">Name</th><th width="272.5333333333333">Description</th><th width="150">Type<select multiple><option value="b0403385da1b4af9a8a894cb7cfa1e88" label="String" color="blue"></option><option value="6a3ca9c830be4cd5a2bcf10d17c44f82" label="Number" color="blue"></option><option value="011b91dfe58a400894b04549ec4f9e02" label="Boolean" color="blue"></option><option value="3c1342f6b38a46e39064bd88015df50d" label="Any" color="blue"></option><option value="331ed19046194ceda3a4dc3fc0789b8f" label="" color="blue"></option></select></th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>value</td><td>A static value or a variable path</td><td><span data-option="3c1342f6b38a46e39064bd88015df50d">Any</span></td><td>true</td></tr></tbody></table>

**Returns**

&#x20; *(*[*Boolean*](/legacy-documentation/data-and-variables/data-types.md#booleans)*)*

**Example**

{% tabs %}
{% tab title="Template" %}
{{#if ($isNotNil category) }}Category is not nil{{/if}}
{% endtab %}

{% tab title="Data" %}

```json
{
    "category":"sports"
}
```

{% endtab %}

{% tab title="Result" %}
Category is not nil
{% endtab %}
{% endtabs %}

### isEmpty

`{{$isEmpty path}}`

Evaluates to `true` if the value of the variable `path` *is* `undefined`, `null` , an empty string (`''`) , empty object (`{}`),  or an empty array (`[]`).

**Arguments**

<table><thead><tr><th width="150">Name</th><th width="272.5333333333333">Description</th><th width="150">Type<select multiple><option value="b0403385da1b4af9a8a894cb7cfa1e88" label="String" color="blue"></option><option value="6a3ca9c830be4cd5a2bcf10d17c44f82" label="Number" color="blue"></option><option value="011b91dfe58a400894b04549ec4f9e02" label="Boolean" color="blue"></option><option value="3c1342f6b38a46e39064bd88015df50d" label="Any" color="blue"></option><option value="331ed19046194ceda3a4dc3fc0789b8f" label="" color="blue"></option></select></th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>path</td><td>A path to a variable to check for a value</td><td><span data-option="3c1342f6b38a46e39064bd88015df50d">Any</span></td><td>true</td></tr></tbody></table>

**Returns**

&#x20; *(*[*Boolean*](/legacy-documentation/data-and-variables/data-types.md#booleans)*)*

**Example**

{% tabs %}
{% tab title="Template" %}
{{#if ($isEmpty category )}}Category is empty{{/if}}
{% endtab %}

{% tab title="Data" %}

```json
{
    "name":"soccer"
}
```

{% endtab %}

{% tab title="Result" %}
Category is empty
{% endtab %}
{% endtabs %}

### isNotEmpty

`{{$isNotEmpty value}}`

Evaluates to `true` if `value` *is not* `undefined`, `null`, an empty string (`''`),  an empty object (`{}`), and not an empty array (`[]`).

**Arguments**

<table><thead><tr><th width="150">Name</th><th width="272.5333333333333">Description</th><th width="150">Type<select multiple><option value="b0403385da1b4af9a8a894cb7cfa1e88" label="String" color="blue"></option><option value="6a3ca9c830be4cd5a2bcf10d17c44f82" label="Number" color="blue"></option><option value="011b91dfe58a400894b04549ec4f9e02" label="Boolean" color="blue"></option><option value="3c1342f6b38a46e39064bd88015df50d" label="Any" color="blue"></option><option value="331ed19046194ceda3a4dc3fc0789b8f" label="" color="blue"></option></select></th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>path</td><td>A path to a variable to check for a value</td><td><span data-option="3c1342f6b38a46e39064bd88015df50d">Any</span></td><td>true</td></tr></tbody></table>

**Returns**

&#x20; *(*[*Boolean*](/legacy-documentation/data-and-variables/data-types.md#booleans)*)*

**Example**

{% tabs %}
{% tab title="Template" %}
{{#if ($isNotEmpty category) }}Category is not empty{{/if}}
{% endtab %}

{% tab title="Data" %}

```json
{
    "category":"sports"
}
```

{% endtab %}

{% tab title="Result" %}
Category is not empty
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.documint.me/templates/working-with-dynamic-data/functions-and-operators/operators/identity-operators.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
